<!-- //////////////////////START-OPPORTUNITY-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Listado de Oportunidades</h2>
        <br><br>
        <form role="form" method="post" action="{{base_url()}}/oportunidad/listado/ok">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">
                            <input type="text" id="noportunidad" name="noportunidad" class="form-control" value="{{params.noportunidad}}" placeholder="# oportunidad">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">
                            <input type="text" class="typeclients form-control" id="clientes" name="clientes" value="{{params.clientes}}" placeholder="CLIENTE...">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                        <div class="fg-line">
                            <input type="text" id="usuarios" name="usuarios" value="{{params.usuarios}}" class="typeusersoppotunity form-control" placeholder="Usuario...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-tag-more"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="marcas" id="marcas" data-placeholder="Marca">
                                <option></option>
                                {% for m in brands %}
                                    <option value="{{m.brand_id}}" {% if params.marcas==m.brand_id %} selected {% endif %}>{{m.brand_name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-email"></i></span>
                        <div class="fg-line">
                            <input type="text" id="client_email" name="client_email" class="typeEmail form-control" value="{{params.client_email}}" placeholder="E-mail" autocomplete="off">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="estado" id="estado" data-placeholder="Estado">
                                <option></option>
                                <option value="A" {% if params.estado=="A" %} selected {% endif %}>Activa</option>
                                <option value="I" {% if params.estado=="I" %} selected {% endif %}>Inactiva</option>
                                <option value="P" {% if params.estado=="P" %} selected {% endif %}>Perdida</option>
                                <option value="V" {% if params.estado=="V" %} selected {% endif %}>Venta</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
			
			
			<!-- {{ params.client_type}} {{ params.serial_number}} {{ params.fechadesde}} {{ params.fechahasta}} {{ params.titulo}} {{ params.etapas}} {{ params.iddeal}} -->
			
			{% if params.client_type=="" and  params.serial_number=="" and params.fechadesde=="" and params.fechahasta=="" and params.titulo=="" and params.etapas=="" and params.iddeal=="" %}
			<div class="row m-t-10" id="itemMoreSearch">
                <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 text-right" >
					<a href="javascript:;" onclick="$('#moreSearch').fadeIn(); $('#itemMoreSearch').hide();">Ver más opciones de búsqueda</a>
				</div>
			</div>
			
            <div class="row" id="moreSearch" style="display:none;">
			{% else %}
			<div class="row" id="moreSearch" style="display:inline; padding:0;">
			{% endif %}
			
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="client_type" id="client_type" data-placeholder="Tipo empresa" title="Tipo empresa">
                                <option></option>
                                <option {% if params.client_type=="Normal" %} selected {% endif %} value="Normal">Normal</option>
                                <option {% if params.client_type=="Recurrente" %} selected {% endif %} value="Recurrente">Recurrente</option>
                                <option {% if params.client_type=="Integrador" %} selected {% endif %} value="Integrador">Integrador</option>
                                <option {% if params.client_type=="Tercera Empresa" %} selected {% endif %} value="Tercera Empresa">Tercera Empresa</option>
                            </select>
                        </div>
                    </div>
                </div>
				<div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>
                        <div class="fg-line">
                            <input type="text" class="form-control" name="serial_number" id="serial_number" value="{{params.serial_number}}" placeholder="Serial">
                        </div>
                    </div>
                </div>
				<div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">
                            <input type="text" class="date-picker form-control" name="fechadesde" id="fechadesde" value="{{params.fechadesde}}" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">
                            <input type="text" class="date-picker form-control" name="fechahasta" id="fechahasta" value="{{params.fechahasta}}" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>
                        <div class="fg-line">
                            <input type="text" id="titulo" name="titulo" class="form-control" value="{{params.titulo}}" placeholder="Descripción/detalle/sku">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-bookmark"></i></span>
                        <div class="fg-line">
                            <select class="chosen" name="etapas" id="etapas" data-placeholder="Etapa">
                                <option></option>
                                <option value="CI" {% if params.etapas=="CI" %} selected {% endif %}>Contacto inicial</option>
                                <option value="EE" {% if params.etapas=="EE" %} selected {% endif %}>En evaluación</option>
                                <option value="P" {% if params.etapas=="P" %} selected {% endif %}>Presupuestado</option>
                                <option value="C" {% if params.etapas=="C" %} selected {% endif %}>Cierre</option>
                            </select>
                        </div>
                    </div>
                </div>
				<div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">
                            <input type="text" id="iddeal" name="iddeal" class="form-control" value="{{params.iddeal}}" placeholder="ID-Deal">
                        </div>
                    </div>
                </div>
            </div>

            <div class="row m-t-10">
                <div class="col-sm-12 text-right">
                    <input type="hidden" name="_METHOD" value="GET"/>
                    <button type="submit" class="btn btn-primary btn-lg m-t-10"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>

                <div class="col-sm-6">
                    <button type="button" class="btn palette-Orange bg m-t-25" id="nuevo-oportunidad" data-toggle="modal" href="#modalDefault"><i class="zmdi zmdi-plus-circle-o"></i> Crear nueva Oportunidad</button>
                </div>
                <div class="col-sm-6 text-right">
                    <button class="btn palette-Green bg m-t-25"><i class="zmdi zmdi-download"></i> Descargar Listado</button>
                </div>
            </div>
        </form>
    </div>


    <div class="table-responsive">
        <table id="data-table-selection-oportunities" class="table table-striped table-condensed table-vmiddle">
            <thead>
                <tr>
                    <th data-column-id="id" data-type="numeric"  data-order="desc" data-identifier="true">#Nro</th>
                    <th data-column-id="cliente" data-formatter="clientes">Cliente</th>
                    <th data-column-id="tipo">Tipo Oportunidad</th>
                    <th data-column-id="marca">Marca</th>
                    <th data-column-id="etapa">Etapa</th>
                    <th data-column-id="usuario" data-formatter="usuarios">Usuario</th>
                    <th data-column-id="importe">Importe</th>
                    <th data-column-id="client_type" data-visible="false">Cliente tipo</th>
                    <th data-column-id="status" data-type="numeric" data-visible="false">Status</th>
                    <th data-column-id="permiso" data-formatter="permiso" data-visible="false">Permiso</th>
                    <th data-column-id="client_id" data-type="numeric" data-visible="false">Client Id</th>
                    <th data-column-id="subclient" data-visible="false">subclient</th>
                    <th data-column-id="integrador" data-visible="false">integrador</th>
                    <th data-column-id="commands" data-formatter="commands" data-sortable="false">Commands</th>
                </tr>
            </thead>
            <tbody>
                {% for o in opportunity %}
                    <tr>
                        <td>{{o.opportunity_id}}</td>
                        <td>{{o.client_businessname}}</td>
                        <td>
                            {% if o.opportunity_type=="R" %} Renovación (#{{o.opportunity_heritage}}) {% endif %}
                            {% if o.opportunity_type=="N" %} Nueva {% endif %}
                        </td>
                        <td>{{o.brand_name}}</td>
                        <td>{{o.opportunity_stage}}</td>
                        <td>{{o.user_namefull}}</td>
                        <td>usd${{o.opportunity_total|number_format(2, ',', '.')}}</td>
                        <td>{{o.client_type}}</td>
                        <td>{% if o.opportunity_status=="I" %}4{% elseif o.opportunity_status=="P" %}5{% else %}9{% endif %}</td>
                        <td>{{o.permiso}}</td>
                        <td>{{o.client_id}}</td>
                        <td>{{o.subclient}}</td>
                        <td>{{o.integrador}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>

<input type="hidden" value="{{params.usuarios}}" name="my-name" id="my-name" />
<!-- ////////////////////////////////////////////////////////////////// -->

<!-- Modal Default -->
<div class="modal fade" id="modalDefault" tabindex="-1" role="dialog" aria-hidden="true">
    <form role="form" id="form-no">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Nueva Oportunidad</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                <div class="fg-line fo1Has">
                                    <input type="text" class="typeclients form-control" id="client_id" name="client_id" placeholder="CLIENTE...">
                                    <input type="hidden" name="client_id_value" id="client_id_value" value="" />
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15 text-right">
                            <a href="../../cliente/listado">[ Nueva empresa ]</a> - <a href="#" id="view-client">[ Info Empresa ]</a>
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15" id="terceraEmpresa" style="display:none;">
                            <span class="c-green" style="margin-left:45px">Este cliente es una tercera empresa de un integrador</span>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-globe"></i></span>
                                <div class="fg-line fo2Has">
                                    <select class="chosen" name="opportunity_reason" id="opportunity_reason" data-placeholder="Origen oportunidad">
                                        <option></option>
                                        {% for origin in opportunity_origin %}
                                            <option value="{{origin.opportunity_origin_name}}">{{origin.opportunity_origin_name}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-collection-bookmark"></i></span>
                                <div class="fg-line fo3Has">
                                    <select class="chosen" name="opportunity_stage" id="opportunity_stage" data-placeholder="Etapa">
                                        <option></option>
                                        <option value="Contacto inicial">Contacto inicial</option>
                                        <option value="En evaluación">En evaluación</option>
                                        <option value="Presupuestado">Presupuestado</option>
                                        <option value="Cierre">Cierre</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-collection-bookmark"></i></span>
                                <div class="fg-line fo4Has">
                                    <select class="chosen" name="opportunity_type" id="opportunity_type" data-placeholder="Tipo">
                                        <option></option>
                                        <option value="N" selected="selected">Nueva</option>
                                        <option value="R">Renovación</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-tag-more"></i></span>
                                <div class="fg-line fo5Has">
                                    <select class="chosen" name="brand_id" id="brand_id" data-placeholder="Marca">
                                        <option></option>
                                        {% for m in brands %}
                                            <option value="{{m.brand_id}}">{{m.brand_name}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                <div class="fg-line fo6Has">
                                    <select class="chosen" name="contact_id_value" id="contact_id_value" data-placeholder="Contactos"></select>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15 text-right">
                            <a href="javascript:;" id="companyId">[ Nuevo contacto ]</a>
                        </div>
                    </div>

                    <div class="m-t-25 p-15 i-te-content" style="border:1px solid #000;">
                        <div class="row">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 i-toggle">
                                <div class="p-b-15 m-b-15" style="border-bottom:1px solid #000; width:100%;">
                                    <div class="toggle-switch">
                                        <label for="cisn" class="ts-label">Es cliente de un integrador?</label>
                                        <input id="cisn" type="checkbox" hidden="hidden">
                                        <label for="cisn" class="ts-helper"></label>
                                    </div>
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                    <div class="fg-line">
                                        <input type="text" class="typeIntegrator form-control bgm-gray" readonly id="opportunity_integrator_user_id" name="opportunity_integrator_user_id" placeholder="Integrador...">
                                        <input type="hidden" name="opportunity_integrator_user_id_value" id="opportunity_integrator_user_id_value" value="" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15 text-right i-toggle">
                                <a href="../../cliente/listado">[ Nuevo Integrador ]</a>
                            </div>

                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 te-toggle">
                                <div class="p-b-15 m-b-15" style="border-bottom:1px solid #000; width:100%;">
                                    <div class="toggle-switch">
                                        <label for="tesn" class="ts-label">Es para una tercera empresa?</label>
                                        <input id="tesn" type="checkbox" hidden="hidden">
                                        <label for="tesn" class="ts-helper"></label>
                                    </div>
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                                    <div class="fg-line">
                                        <input type="text" class="typeSubClient form-control bgm-gray" readonly id="opportunity_subclient_id" name="opportunity_subclient_id" placeholder="Empresa...">
                                        <input type="hidden" name="opportunity_subclient_id_value" id="opportunity_subclient_id_value" value="" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15 text-right te-toggle">
                                <a href="../../cliente/listado">[ Nueva Empresa ]</a>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-primary" id="crearOportunidad"><i class="zmdi zmdi-check"></i> Crear oportunidad</button>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- //////////////////////END-OPPORTUNITY-LIST////////////////////////////// -->
